package com.wd.workoffice.bean.mesBean;

import com.alibaba.fastjson.annotation.JSONField;
import com.wd.workoffice.app.BaseMesPageBean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class FaultBean extends BaseMesPageBean {

    private List<ListBean> list;


    public List<ListBean> getList() {
        return list;
    }

    public void setList(List<ListBean> list) {
        this.list = list;
    }

    public static class ListBean {
        /**
         * id : b3e8232b851c468da33134dc07307e23
         * createDateTime : 1597975766000
         * updateDateTime : null
         * woId : 570f78e7e1cb11ea8334fa163e1166bd
         * failureId : 1dead3c0902c11ea8334fa163e1166bd
         * failureCode : F00043
         * failureName : 1
         * createBy : 398c852b38e911ea8334fa163e1166bd
         * changeBy : null
         * parentId : null
         * delete : false
         */

        private String id;
        private long createDateTime;
        private Object updateDateTime;
        private String woId;
        private String failureId;
        private String failureCode;
        private String failureName;
        private String createBy;
        private Object changeBy;
        private Object parentId;
        private boolean delete;

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public long getCreateDateTime() {
            return createDateTime;
        }

        public void setCreateDateTime(long createDateTime) {
            this.createDateTime = createDateTime;
        }

        public Object getUpdateDateTime() {
            return updateDateTime;
        }

        public void setUpdateDateTime(Object updateDateTime) {
            this.updateDateTime = updateDateTime;
        }

        public String getWoId() {
            return woId;
        }

        public void setWoId(String woId) {
            this.woId = woId;
        }

        public String getFailureId() {
            return failureId;
        }

        public void setFailureId(String failureId) {
            this.failureId = failureId;
        }

        public String getFailureCode() {
            return failureCode;
        }

        public void setFailureCode(String failureCode) {
            this.failureCode = failureCode;
        }

        public String getFailureName() {
            return failureName;
        }

        public void setFailureName(String failureName) {
            this.failureName = failureName;
        }

        public String getCreateBy() {
            return createBy;
        }

        public void setCreateBy(String createBy) {
            this.createBy = createBy;
        }

        public Object getChangeBy() {
            return changeBy;
        }

        public void setChangeBy(Object changeBy) {
            this.changeBy = changeBy;
        }

        public Object getParentId() {
            return parentId;
        }

        public void setParentId(Object parentId) {
            this.parentId = parentId;
        }

        public boolean isDelete() {
            return delete;
        }

        public void setDelete(boolean delete) {
            this.delete = delete;
        }
    }
}
